libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.236. __nv_nan

Prototype:

    double @__nv_nan(i8* %tagp)

Description:

Return a representation of a quiet NaN. Argument `tagp` selects one of the possible representations.

Returns:

- __nv_nan(`tagp`) returns NaN.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes